export declare const clientsRouter: import("@trpc/server").TRPCBuiltRouter<{
    ctx: import("../index.js").Context;
    meta: object;
    errorShape: import("@trpc/server").TRPCDefaultErrorShape;
    transformer: false;
}, import("@trpc/server").TRPCDecorateCreateRouterOptions<{
    testConnection: import("@trpc/server").TRPCMutationProcedure<{
        input: {
            client: "qbittorrent" | "rtorrent" | "transmission" | "deluge";
            url: string;
            username?: string | undefined;
            password?: string | undefined;
            readonly?: boolean | undefined;
            plugin?: boolean | undefined;
        };
        output: {
            success: boolean;
            message: string;
        };
        meta: object;
    }>;
}>>;
